Package com.google.android.exoplayer2.transformer

## Class TransformationRequest

- java.lang.Object
- - com.google.android.exoplayer2.transformer.TransformationRequest

-     public final class TransformationRequest
      extends Object

  A media transformation request.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `TransformationRequest.Builder` | A builder for `TransformationRequest` instances.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `String` | `audioMimeType` | The requested output audio sample MIME type, or `null` if inferred from the input.
    `boolean` | `enableHdrEditing` | Whether to attempt to process any input video stream as a high dynamic range (HDR) signal.
    `boolean` | `enableRequestSdrToneMapping` | Whether to request tone-mapping to standard dynamic range (SDR).
    `boolean` | `flattenForSlowMotion` | Whether the input should be flattened for media containing slow motion markers.
    `boolean` | `forceInterpretHdrVideoAsSdr` | Whether to force interpreting HDR video as SDR.
    `int` | `outputHeight` | The requested height of the output video, or `C.LENGTH_UNSET` if inferred from the input.
    `float` | `rotationDegrees` | The requested rotation, in degrees, of the output video, or 0 if inferred from the input.
    `float` | `scaleX` | The requested scale factor, on the x-axis, of the output video, or 1 if inferred from the input.
    `float` | `scaleY` | The requested scale factor, on the y-axis, of the output video, or 1 if inferred from the input.
    `String` | `videoMimeType` | The requested output video sample MIME type, or `null` if inferred from the input.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TransformationRequest.Builder` | `buildUpon()` | Returns a new `TransformationRequest.Builder` initialized with the values of this instance.
    `boolean` | `equals​(Object o)` |
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### flattenForSlowMotion

          public final boolean flattenForSlowMotion

      Whether the input should be flattened for media containing slow motion markers.
      See Also:
        `TransformationRequest.Builder.setFlattenForSlowMotion(boolean)`

    - #### scaleX

          public final float scaleX

      The requested scale factor, on the x-axis, of the output video, or 1 if inferred from the input.
      See Also:
        `TransformationRequest.Builder.setScale(float, float)`

    - #### scaleY

          public final float scaleY

      The requested scale factor, on the y-axis, of the output video, or 1 if inferred from the input.
      See Also:
        `TransformationRequest.Builder.setScale(float, float)`

    - #### rotationDegrees

          public final float rotationDegrees

      The requested rotation, in degrees, of the output video, or 0 if inferred from the input.
      See Also:
        `TransformationRequest.Builder.setRotationDegrees(float)`

    - #### outputHeight

          public final int outputHeight

      The requested height of the output video, or `C.LENGTH_UNSET` if inferred from the input.
      See Also:
        `TransformationRequest.Builder.setResolution(int)`

    - #### audioMimeType

          @Nullable
          public final String audioMimeType

      The requested output audio sample MIME type, or `null` if inferred from the input.
      See Also:
        `TransformationRequest.Builder.setAudioMimeType(String)`

    - #### videoMimeType

          @Nullable
          public final String videoMimeType

      The requested output video sample MIME type, or `null` if inferred from the input.
      See Also:
        `TransformationRequest.Builder.setVideoMimeType(String)`

    - #### enableRequestSdrToneMapping

          public final boolean enableRequestSdrToneMapping

      Whether to request tone-mapping to standard dynamic range (SDR).

    - #### forceInterpretHdrVideoAsSdr

          public final boolean forceInterpretHdrVideoAsSdr

      Whether to force interpreting HDR video as SDR.

    - #### enableHdrEditing

          public final boolean enableHdrEditing

      Whether to attempt to process any input video stream as a high dynamic range (HDR) signal.
      See Also:
        `TransformationRequest.Builder.experimental_setEnableHdrEditing(boolean)`

  - ### Method Detail

    - #### equals

          public boolean equals​(@Nullable
                                Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### buildUpon

          public TransformationRequest.Builder buildUpon()

      Returns a new `TransformationRequest.Builder` initialized with the values of this instance.